Skip to main content

Atrium API

Read Transaction

This endpoint allows you to view information about a specific transaction that belongs to a user.

GET
/users/{user_guid}/transactions/{transaction_guid}

Request sample

Language:sh

_10
curl -i 'https://vestibule.mx.com/users/{user_guid}/transactions/{transaction_guid}' \
_10
-H 'Accept: application/vnd.mx.atrium.v1+json' \
_10
-H 'MX-API-Key: {mx_api_key}' \
_10
-H 'MX-Client-ID: {mx_client_id}'

Response sample

200
Language:json

_38
{
_38
"transaction": {
_38
"account_guid": "ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1",
_38
"amount": 61.11,
_38
"category": "Groceries",
_38
"check_number": 15234,
_38
"check_number_string": "00015234",
_38
"created_at": "2016-10-06T09:43:42+00:00",
_38
"currency_code": "USD",
_38
"date": "2013-09-23",
_38
"description": "Whole Foods",
_38
"guid": "TRN-265abee9-889b-af6a-c69b-25157db2bdd9",
_38
"is_bill_pay": false,
_38
"is_direct_deposit": false,
_38
"is_expense": true,
_38
"is_fee": false,
_38
"is_income": false,
_38
"is_international": false,
_38
"is_overdraft_fee": false,
_38
"is_payroll_advance": false,
_38
"is_subscription": false,
_38
"latitude": -43.2075,
_38
"longitude": 139.691706,
_38
"member_guid": "MBR-7c6f361b-e582-15b6-60c0-358f12466b4b",
_38
"memo": null,
_38
"merchant_category_code": 5411,
_38
"merchant_guid": "MCH-7ed79542-884d-2b1b-dd74-501c5cc9d25b",
_38
"merchant_location_guid": null,
_38
"original_description": "WHOLEFDS TSQ 102",
_38
"posted_at": "2016-10-07T06:00:00+00:00",
_38
"status": "POSTED",
_38
"top_level_category": "Food & Dining",
_38
"transacted_at": "2016-10-06T13:00:00+00:00",
_38
"type": "DEBIT",
_38
"updated_at": "2016-10-07T05:49:12+00:00",
_38
"user_guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54"
_38
}
_38
}